Gruppo

From FreeCAD Documentation
Revision as of 13:32, 19 January 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Crea Gruppo

Posizione nel menu
Vista struttura → Cliccare col destro sul nome del documento
Ambiente
Tutti
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Seleziona gruppo, Aggiungi al gruppo

Descrizione

Questo comando consente di creare un gruppo nella vista ad albero.
Può essere utilizzato per organizzare la struttura del modello.

The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Various elements inside Std Groups in the tree view.

Uso

Fare clic destro sul nome del documento FreeCAD nella vista ad albero e scegliere "Crea gruppo".
Viene automaticamente creato un gruppo a cui viene assegnato un nome e l'icona di una directory.
È possibile rinominare il gruppo, basta fare clic destro sul gruppo e scegliere "Rinomina" o usare "F2" dalla tastiera.
Inserire gli oggetti FreeCAD nel gruppo o estrarli dal gruppo facendo clic sull'oggetto desiderato,
tenere il pulsante sinistro del mouse premuto e utilizzare lo stile drag & drop per trascinare l'oggetto nella nuova posizione desiderata.
Il "segno di divieto" sotto al cursore significa che in quella posizione non è possibile rilasciare l'oggetto.
Appena il segno si trasforma nel simbolo "più" è possibile rilasciare l'oggetto.

Notes

  • The Group object does not affect the positions in the 3D view of the elements that it contains; it is essentially just a folder that is used to keep the tree view organized.
  • The Group can also be created from the Python console, and sub-classed to create special "groups", as indicated in the Scripting section.

Proprietà

A Std Group is internally called App DocumentObjectGroup (App::DocumentObjectGroup class), and is derived from the basic App DocumentObject (App::DocumentObject class), therefore it shares all the latter's properties.

In addition to the properties described in App FeaturePython, which is the most basic instance of an App DocumentObject, the App DocumentObjectGroup has the DatiGroup property.

These are the properties available in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Data

Base

  • DatiLabel: Nome del gruppo

Hidden properties Data

  • DatiProxy (PythonObject): a custom class associated with this object. This only exists for the Python version. See Scripting.

View

Base

See App FeaturePython for the basic view properties.

Hidden properties View

  • VistaProxy (PythonObject): a custom view provider class associated with this object. This only exists for the Python version. See Scripting.

Inheritance

A Std Group is formally an instance of the class App::DocumentObjectGroup, whose parent is the basic App DocumentObject (App::DocumentObject class), and is augmented with a Group extension.

Simplified diagram of the relationships between the core objects in the program. The App::DocumentObjectGroup class is a simple container which uses the Group extension to be able to hold any type of object.

Script

Il seguente comando aggiunge nuovo gruppo al documento attivo:

See Part Feature for the general information on adding objects to the document.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods of this Group.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

bod1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
bod2 = App.ActiveDocument.addObject("Part::Box", "Box")

obj.addObjects([bod1, bod2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

Therefore, for Python subclassing, you should create the App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Link